@import url("https://fonts.googleapis.com/css2?family=Julee&family=Just+Another+Hand&family=Kaushan+Script&family=Lobster&family=Pacifico&family=Playpen+Sans&family=Poppins&family=Prosto+One&family=Rampart+One&family=RocknRoll+One&family=Ubuntu&family=Waterfall&family=Zen+Tokyo+Zoo&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --justAnotherHand: "Just Another Hand", cursive;
  --kaushan: "Kaushan Script", cursive;
  --lobster: "Lobster", sans-serif;
  --pacifio: "Pacifico", cursive;
  --playplen: "Playpen Sans", cursive;
  --poppins: "Poppins", sans-serif;
  --rocknRoll: "RocknRoll One", sans-serif;
  --ubuntu: "Ubuntu", sans-serif;
  --julee: "Julee", cursive;
  --prosto: "Prosto One", sans-serif;
  --rampart: "Rampart One", sans-serif;
  --poetsen: "Poetsen One", sans-serif;
  --waterfall: "Waterfall", cursive;
  --zen-tokyo: "Zen Tokyo Zoo", cursive;
  --black : #2C3135;
  --blue: #1784C7;
  --green: #00CA80;
  --purple: #36304A;
  --sandal: #EEDD99;
}

/* body {
    font-family: Arial, sans-serif;
    background: linear-gradient(to right, #6a11cb, #2575fc);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    padding: 0;
}

.container {
    text-align: center;
    background-color: #fff;
    padding: 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    animation: fadeIn 1.5s ease-in-out;
    overflow: auto;
}

h1 {
    margin-bottom: 20px;
    font-size: 2em;
    color: #343a40;
}

.button {
    display: inline-block;
    margin: 15px 10px;
    padding: 15px 30px;
    font-size: 18px;
    color: #fff;
    background-color: #007bff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    transition: transform 0.3s ease, background-color 0.3s ease;
}

.button:hover {
    background-color: #0056b3;
    transform: translateY(-5px);
}

.quote {
    font-style: italic;
    color: #6c757d;
    margin: 20px 0;
}

.developer {
    margin-top: 30px;
    font-size: 0.9em;
    color: #495057;
}

@keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

.modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.4); 
    padding-top: 60px; 
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto; 
    padding: 20px;
    border: 1px solid #888;
    width: 80%; 
    max-width: 500px; 
    border-radius: 10px;
    text-align: left;
}

.close-button {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close-button:hover,
.close-button:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
 */
 
body {
  font-family: Arial, sans-serif;
  background-image: url("Assets/BGC.jpg");
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
  padding: 0;
}

.black{
  background-color: black;
}

.toggle-container{
  width: 100%;
  height: 10%;
  display: flex;
  justify-content: center;
}

.toggle-btn{
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.toggle-btn .round{
  width: 18px;
  height: 18px;
  border-radius: 50%;
}

.up{
  background-color: black;
  transform: translateY(0px);
  transition: transform 0.5s 0s linear;
}

.down{
  background-color: white;
  transform: translateY(575px);
  transition: transform 0.5s 0s linear;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  background-color: transparent;
  color: white;
  padding: 30px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
  border-radius: 10px;
  width: 90%;
  max-width: 600px;
  animation: fadeIn 1.5s ease-in-out;
  box-sizing: border-box;
}

.white{
  background-color: white;
  color: black;
}

h1 {
  margin-bottom: 20px;
  font-size: 2em;
}

.button {
  display: inline-block;
  margin: 15px 10px;
  padding: 15px 30px;
  font-size: 18px;
  color: #fff;
  background-color: #007bff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none;
  transition: transform 0.3s ease, background-color 0.3s ease;
}

.button:hover {
  background-color: #0056b3;
  transform: translateY(-5px);
}

.quote {
  font-style: italic;
  color: #b9bcbf;
  margin: 20px 0;
}

.developer {
  margin-top: 30px;
  font-size: 0.9em;
  color: #dae3ec;
}

.developer a{
  text-decoration: none;
  color: var(--green);
}

.white p{
  color: black !important;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.modal {
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
  display: none;
  justify-content: center;
  align-items: center;
}

.modal-content {
  background-image: url("Assets/Chip.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: 20px;
  border: 3px solid white;
  color: white;
  font-weight: 700;
  max-width: 500px;
  height: 450px;
  border-radius: 10px;
  text-align: left;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  row-gap: 10px;
  position: relative;
  top: 30%;
  left: 33.5%;
}

.modal-content .topcontent{
  display: flex;
  align-items: center;
  column-gap: 10px;
  margin-bottom: 10px;
}

.modal-content p{
  margin-bottom: 50px;
}

.modal-content ul{
  height: inherit;
  display: flex;
  flex-direction: column;
  row-gap: 15%;
}

.close-button {
  color: white;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close-button:hover,
.close-button:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
